//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "UExemplo.h"
//---------------------------------------------------------------------------

#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------


typedef int __stdcall (*TFecha)(void);
typedef int __stdcall (*TDeterminaUmStopBit)(void);
typedef int __stdcall (*TFechaP05)(void);
typedef int __stdcall (*TAbrePorta)(int Porta, int BaudRate,int DataBits,int Paridade);
typedef int __stdcall (*TPegaPeso)(int OpcaoEscrita, char *Peso, char *Local);
typedef void __stdcall (*TVersaoDLL) (char *Versao);

TFecha Fecha;
TFechaP05 FechaP05;
TAbrePorta Abre;
TPegaPeso Peso;
TVersaoDLL VersaoDLL;
TDeterminaUmStopBit DeterminaUmStopBit;

int LibHandle;

void __fastcall TForm1::FormCreate(TObject *Sender)
{
  char Versao[6];
  LibHandle = (int) LoadLibrary("P05.dll");
  Fecha     = (TFecha)GetProcAddress((HINSTANCE)LibHandle, "FechaPorta");
  DeterminaUmStopBit = (TDeterminaUmStopBit)GetProcAddress((HINSTANCE)LibHandle, "DeterminaUmStopBit");
  FechaP05  = (TFechaP05)GetProcAddress((HINSTANCE)LibHandle, "FechaPortaP05");
  Abre      = (TAbrePorta)GetProcAddress((HINSTANCE)LibHandle, "AbrePorta");
  Peso      = (TPegaPeso)GetProcAddress((HINSTANCE)LibHandle, "PegaPeso");
  VersaoDLL = (TVersaoDLL)GetProcAddress((HINSTANCE)LibHandle, "VersaoDLL");
  VersaoDLL(Versao);
  Form1->Caption = "Toledo Easylink - P05_P05A: Exemplo em C++ Builder - V. ";
  Form1->Caption = Form1->Caption + Versao;
}


void __fastcall TForm1::btnPesarClick(TObject *Sender)
{
  char Pes[6];
  char Dir[3];
  memset(Dir,0,3);
  if (Peso(0,Pes,Dir) == 1)
    lbPeso->Caption = Pes;
  else
    lbPeso->Caption = "ERRO!";
}
//---------------------------------------------------------------------------

void __fastcall TForm1::btnAbrirClick(TObject *Sender)
{
  //Porta,BaudRate,DataBits,Paridade:
  if ( Abre(1,0,0,2) == 1 )
    Application->MessageBox("Abriu!","EX",MB_OK);
  else
    Application->MessageBox("Erro!","EX",MB_OK);
}
//---------------------------------------------------------------------------

void __fastcall TForm1::btnSairClick(TObject *Sender)
{
  FechaP05();
  Close();
}
//---------------------------------------------------------------------------

void __fastcall TForm1::btnFecharPortaClick(TObject *Sender)
{
  if ( FechaP05() == 1 )
  {
    Application->MessageBox("Fechou!","EX",MB_OK);
    lbPeso->Caption = "";
  }
  else
    Application->MessageBox("Erro!","EX",MB_OK);
}
//---------------------------------------------------------------------------

