unit ULeitor;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls,UConstantes;

type
  TForm1 = class(TForm)
    tPeso: TTimer;
    Label1: TLabel;
    lbPeso: TLabel;
    lbTara: TLabel;
    procedure tPesoTimer(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}                            

procedure TForm1.tPesoTimer(Sender: TObject);
var
  Arq           : TStringList;
  dadoPeso      : TDadosPeso;
begin
  tPeso.Enabled:= False;
  try
    if FileExists(ExtractFilePath(ParamStr(0))+'OK.TXT') then
    if FileExists(ExtractFilePath(ParamStr(0))+'PESO.TXT') then
      begin
        Arq:=TStringList.Create;
        Try
          Arq.LoadFromFile(ExtractFilePath(ParamStr(0))+'PESO.TXT');
          FillChar(dadoPeso,sizeof(dadoPeso),0);
          Move(Pchar(Arq.Strings[0])^,dadoPeso,length(Arq.Strings[0]));
          lbPeso.Caption:= Trim(dadoPeso.Peso);
          if Trim(dadoPeso.Tara) <> '' then
            begin
              lbTara.Visible    := True;
              lbTara.Caption    := 'Tara: '+dadoPeso.Tara;
            end
          else
            lbTara.Visible      := False;
        Finally
          Arq.Free;
        end;
      end;
    DeleteFile(ExtractFilePath(ParamStr(0))+'OK.TXT');
  finally
    tPeso.Enabled:= TRUE;
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  Versao : array[0..4] of char;
begin
  VersaoDLL(Versao);
  Caption:= 'Toledo Easylink - P05_P05A: Leitura do arquivo gravado pela DLL - V. '+Versao;
end;

end.
